function pixplot(target,r,c)
% function pixplot(target,r,c)
%
% Function pixplot(Image,r,c) plots the spectral response of a selected pixel 
% of its neighbors and the average of the neighbors. 'Image' is a m*n*k matrix 
% where k is the number of bands or wavelengths.
% r and c are the rows and columns of the pixel, if this two arguments are
% not entered the user can select the pixel using the mouse.
% ERD 06/07/00

if nargin==1
   [c,r]=ginput(1);
end

c=round(c);
r=round(r);

z=target(r,c,:);

sum=0;
sum=sum+z;

figure
subplot(3,1,1)
plot(z(:,:))
%axis([1 11 0 1])
title(sprintf('Pixel r=%d,c=%d',r,c))

subplot(3,1,2)
plot(z(:,:),'--*')
title(sprintf('Pixel r=%d,c=%d and neighbors',r,c))

hold on

z=target(r-1,c-1,:);
subplot(3,1,2)
plot(z(:,:),'k')
sum=sum+z;

z=target(r-1,c,:);
subplot(3,1,2)
plot(z(:,:),'b')
sum=sum+z;

z=target(r-1,c+1,:);
subplot(3,1,2)
plot(z(:,:),'g')
sum=sum+z;

z=target(r,c-1,:);
subplot(3,1,2)
plot(z(:,:),'r')
sum=sum+z;

z=target(r,c+1,:);
subplot(3,1,2)
plot(z(:,:),'m')
sum=sum+z;

z=target(r+1,c-1,:);
subplot(3,1,2)
plot(z(:,:),'c')
sum=sum+z;

z=target(r+1,c,:);
subplot(3,1,2)
plot(z(:,:),'y')
sum=sum+z;

z=target(r+1,c+1,:);
subplot(3,1,2)
plot(z(:,:),'-.k')
sum=sum+z;

%legend('Center','Upper Left','Up','Upper Right','Left','Right','Lower Left','Down','Lower Right',-1)

ave=sum/9;

subplot(3,1,3)
plot(ave(:,:))
title('Average')

%if nargout==1
%   ave=reshape(ave,1,length(ave));
%elseif nargout==2
%   pix=reshape(pix,1,length(pix));
%   ave=reshape(ave,1,length(ave));
%end
hold off