function visual(mean, cov, c)
% VISUAL visualization of parameters
% VISUAL(MEAN,COV), where Mean is the mean vector 
% and COV is the covariance matrix
% VISUAL(MEAN,COV) produces the graphical representation of the mean vector
% and a representation of the correlation matrix 


%close
figure

set(gcf, 'Position',[200, 100, 600, 525] )
set(gcf, 'Units', 'Normalized')

a1 = axes('Position', [.1607, .69, .6786, .25]);
a2 = axes('Position', [.1607, .043, .6786, .5]);

[m,n]= size(mean);
d = S(cov);
d1 = mean + d;
d2 = mean - d;

axes(a1);
plot(mean,'b')
axis([1 m 0 Inf])
grid on
title(sprintf('Graphical Representation of Means for Class %d',c),'FontSize',10)
xlabel('number of band','FontSize',9)
ylabel('mean value','FontSize',9) 

hold on
plot(d1,'r--')
hold on
plot(d2,'r--')
%legend('means', 'means +/- std')
hold off

x = corr(cov);
v = [-1,1];

axes(a2);
imagesc(x,v)
colorbar('horizontal')
title('Representation of the Correlation Matrix','FontSize',10)



































































































